<?php

class XinitBackupFileHelper
{
	function writeTextToFile($file,$text)
	{
		$fh = fopen($file, 'w');
		fwrite($fh, $text);
		fclose($fh);
	}
	
	function deleteFolder($folder)
	{
		if(file_exists($folder))
		{
			$folderhandle = opendir($folder);
			if($folderhandle)
			{
				while (($entry = readdir($folderhandle)) !== false)
				{
					if(!$entry)
					{
						break;
					}
					if($entry != '.' && $entry != '..')
					{
						if(is_dir($folder . $entry . DS))
						{
							$this->deleteFolder($folder . $entry . DS);
						}
						elseif(is_file($folder . $entry))
						{
							unlink($folder . $entry);
						}
					}
				}
				closedir($folderhandle);
			}
			rmdir($folder);
		}
	}
	
	function copyFolderRec($source, $destination, $exclude = false)
	{
		if($exclude!==false)
		{
			if(is_array($exclude))
			{
				foreach($exclude as $no_copy)
				{
					if($source==$no_copy)
						return;
				}
			}
			else
			{
				if($source==$exclude)
				{
					return;
				}
			}
		}
		if(!file_exists($destination))
		{
			mkdir($destination);
		}
		$folderhandle = opendir($source);
		if($folderhandle)
		{
			while (($entry = readdir($folderhandle)) !== false)
			{
				if(!$entry)
				{
					break;
				}
				if($entry != '.' && $entry != '..' && $source . $entry . DS != $destination)
				{
					if(is_dir($source.$entry))
					{
						$this->copyFolderRec($source . $entry.DS, $destination.$entry.DS, $exclude);
					}
					if(is_file($source . $entry))
					{
						copy($source . $entry, $destination.$entry);
					}
				}
			}
			closedir($folderhandle);
		}
	}
}
?>